---
# set up a dedicated pruner for environments that do not allow operator config changes
- name: A-Team Pipeline | k8s | Set dedicated resource pruner
  kubernetes.core.k8s:
    api_key: "{{ ocp_pipeline_key }}"
    host: "{{ ocp_host }}"
    validate_certs: "{{ validate_certs }}"
    state: present
    definition:
      apiVersion: batch/v1beta1
      kind: CronJob
      metadata:
        name: resource-pruner
        namespace: "{{ ocp_ns }}"
      spec:
        schedule: '*/3 * * * *'
        concurrencyPolicy: Forbid
        suspend: false
        jobTemplate:
          metadata:
            creationTimestamp: null
          spec:
            backoffLimit: 3
            template:
              metadata:
                creationTimestamp: null
              spec:
                containers:
                  - name: pruner-tkn-automotive-pipelines-6tslq
                    image: >-
                      registry.redhat.io/openshift-pipelines/pipelines-cli-tkn-rhel8@sha256:cc8bbdb079578605a66447529d7de76f32882dc2ada571e39ff18e483cdbdf49
                    command:
                      - /bin/sh
                      - '-c'
                    args:
                      - 'tkn pipelinerun delete --keep=6 -n automotive-pipelines -f ; '
                    resources: {}
                    terminationMessagePath: /dev/termination-log
                    terminationMessagePolicy: FallbackToLogsOnError
                    imagePullPolicy: IfNotPresent
                restartPolicy: OnFailure
                terminationGracePeriodSeconds: 30
                dnsPolicy: ClusterFirst
                serviceAccountName: pipeline
                serviceAccount: pipeline
                securityContext: {}
                schedulerName: default-scheduler
            ttlSecondsAfterFinished: 3600
        successfulJobsHistoryLimit: 3
        failedJobsHistoryLimit: 1
